package com.hzya.frame.sysnew.application.entity;


import com.hzya.frame.sysnew.application.apiPara.entity.SysApplicationApiParaEntity;
import com.hzya.frame.sysnew.application.database.entity.SysApplicationDatabaseEntity;

import java.util.List;

/**
 * 应用表(SysApplication)实体类
 *
 * @author makejava
 * @since 2023-09-22 16:22:18
 */
public class SysApplicationDto {

    /**  id */
    private String id;
    /**  所属领域（枚举表） */
    private String affiliationField;
    /**  应用是否启用（1、启用 2、停用） */
    private String appStatus;
    /**  应用名称或者厂商 */
    private String nameOrManufacturer;

    /**  修改类型 1、应用信息 2、开发管理 */
    private String updateType;
    /**  应用logo（地址或者id） */
    private String appLogo;
    /**  应用名称 */
    private String name;
    /**  版本号 */
    private String versionNumber;
    /**  接入方式（1、接口2、H53、PC网页4、PC应用程序 ） */
    private String accessMode;
    /**  厂商 */
    private String manufacturer;
    /**  应用简介 */
    private String appIntroduction;
    /**  应用客户端地址（PC） */
    private String clientPath;
    /**  应用网页端地址（PC） */
    private String webPath;
    /**  应用程序地址（移动端） */
    private String programPath;
    /**  应用key */
    private String publicKey;
    /**  应用密钥 */
    private String secretKey;
    /**  接口地址 */
    private String interfaceAddress;
    /**  接口环境是否启用（1、开启 2、关闭） */
    private String interfaceStatus;
    /**  数据源是否启用（1、开启 2、关闭） */
    private String dbStatus;
    /**  数据源是否启用（1、开启 2、关闭） */
    private Integer appId;
    /**  ip白名单 */
    private String systemAddress;
    //api接口参数表
    private List<SysApplicationApiParaEntity> apiParas;
    /**  系统类型  1、致远OA 2、用友U8C 3、用友BIP */
    private String appType;
    //nifi的id
    private String nifiAppId;
    //数据源
    private SysApplicationDatabaseEntity databaseEntity;
    private Integer pageNum;
    private Integer pageSize;
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAffiliationField() {
        return affiliationField;
    }

    public void setAffiliationField(String affiliationField) {
        this.affiliationField = affiliationField;
    }

    public String getAppStatus() {
        return appStatus;
    }

    public void setAppStatus(String appStatus) {
        this.appStatus = appStatus;
    }

    public String getNameOrManufacturer() {
        return nameOrManufacturer;
    }

    public void setNameOrManufacturer(String nameOrManufacturer) {
        this.nameOrManufacturer = nameOrManufacturer;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getAppLogo() {
        return appLogo;
    }

    public void setAppLogo(String appLogo) {
        this.appLogo = appLogo;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVersionNumber() {
        return versionNumber;
    }

    public void setVersionNumber(String versionNumber) {
        this.versionNumber = versionNumber;
    }

    public String getAccessMode() {
        return accessMode;
    }

    public void setAccessMode(String accessMode) {
        this.accessMode = accessMode;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getAppIntroduction() {
        return appIntroduction;
    }

    public void setAppIntroduction(String appIntroduction) {
        this.appIntroduction = appIntroduction;
    }

    public String getClientPath() {
        return clientPath;
    }

    public void setClientPath(String clientPath) {
        this.clientPath = clientPath;
    }

    public String getWebPath() {
        return webPath;
    }

    public void setWebPath(String webPath) {
        this.webPath = webPath;
    }

    public String getProgramPath() {
        return programPath;
    }

    public void setProgramPath(String programPath) {
        this.programPath = programPath;
    }

    public String getPublicKey() {
        return publicKey;
    }

    public void setPublicKey(String publicKey) {
        this.publicKey = publicKey;
    }

    public String getSecretKey() {
        return secretKey;
    }

    public void setSecretKey(String secretKey) {
        this.secretKey = secretKey;
    }

    public String getInterfaceAddress() {
        return interfaceAddress;
    }

    public void setInterfaceAddress(String interfaceAddress) {
        this.interfaceAddress = interfaceAddress;
    }

    public String getInterfaceStatus() {
        return interfaceStatus;
    }

    public void setInterfaceStatus(String interfaceStatus) {
        this.interfaceStatus = interfaceStatus;
    }

    public String getDbStatus() {
        return dbStatus;
    }

    public void setDbStatus(String dbStatus) {
        this.dbStatus = dbStatus;
    }

    public String getUpdateType() {
        return updateType;
    }

    public void setUpdateType(String updateType) {
        this.updateType = updateType;
    }
    public List<SysApplicationApiParaEntity> getApiParas() {
        return apiParas;
    }

    public void setApiParas(List<SysApplicationApiParaEntity> apiParas) {
        this.apiParas = apiParas;
    }

    public SysApplicationDatabaseEntity getDatabaseEntity() {
        return databaseEntity;
    }

    public void setDatabaseEntity(SysApplicationDatabaseEntity databaseEntity) {
        this.databaseEntity = databaseEntity;
    }

    public Integer getAppId() {
        return appId;
    }

    public void setAppId(Integer appId) {
        this.appId = appId;
    }

    public String getSystemAddress() {
        return systemAddress;
    }

    public void setSystemAddress(String systemAddress) {
        this.systemAddress = systemAddress;
    }

    public String getAppType() {
        return appType;
    }

    public void setAppType(String appType) {
        this.appType = appType;
    }

    public String getNifiAppId() {
        return nifiAppId;
    }

    public void setNifiAppId(String nifiAppId) {
        this.nifiAppId = nifiAppId;
    }
}

